Skip to main content

Retrieve list of products

GET 

/api/rewards/products

Retrieve a list of products. These should be presented to the user, as choices, when the latter claims their rewards.

Responses

List of products to display to the user as choices for claiming the reward.

Schema

  • Array [

  • id string
    name string

    Name of the product

    currencyCodes string[]

    Available currencies for this product

    countries string[]

    List of countries in which this product is available to recipients.

    description string

    Detailed description of the product.

    disclosure string

    Legal disclosures for this product. Can be in HTML format.

    category string

    Possible values: [bank, charities, merchant_cards, paypal, visa]

    images

    object[]

    List of product images associated with this product (e.g. logos or images of the gift cards).

  • Array [

  • src string

    URL to this image

    type string

    Type of image

  • ]

  • ]

Loading...